<?php

include 'SCA/SCA.php';

/**
 * Componente Saudao
 * 
 * @service
 * @binding.soap
 * @binding.jsonrpc
 */
class Saudacao
{
	/**
	 * @reference
	 * @binding.xmlrpc http://localhost/talks/PHPSC/exemplos/05/Greeting.php
	 */
	public $saudacao_en;
	
	/**
	 * @reference
	 * @binding.restrpc http://localhost/talks/PHPSC/exemplos/05/Saluto.php
	 */
	public $saudacao_it;
	
   /**
     * @param string $nome
     * @param string $idioma
     * @return string
     */
    public function digaOla($nome, $idioma) {
    	
    	switch ( $idioma ) {
    		case "en":
    			return $this->saudacao_en->sayHello($nome);
    			break;
    		case "it":
    			return $this->saudacao_it->direCiao($nome);
    			break;
    		default:
		        return 'Ola ' . $nome;
    	}
    }
}
?>