<?php

error_reporting(E_ALL);
ini_set('display_errors', 'On');

include 'SCA/SCA.php';

print __LINE__ . "<br>";

$obj_client = new SoapClient('http://silvano.dev.inphonex.com/talks/PHPSC/exemplos/06/Saudacao.php?wsdl', array('trace' => true));

class Male {
    public $first_name;
    public $last_name;
    public $car;
}

$person = new Male();
$person->first_name = "First";
$person->last_name = "Last";
$person->car = "asd";

try {
    $obj_client->sayHi( array( "Person" => new SoapVar($person, SOAP_ENC_OBJECT, "Male", "urn://Person", "Person" ) ) );
} catch (Exception $e) {
    print $e->getMessage() . "<br>";
}

print_r($obj_client->__getLastRequest());

print __LINE__ . "<br>";

$saudacao = SCA::getService('http://silvano.dev.inphonex.com/talks/PHPSC/exemplos/06/Saudacao.php?wsdl');

print __LINE__ . "<br>";

$pessoa = $saudacao->createDataObject('urn://Person', 'Male');
$pessoa->first_name = "Silvano";
$pessoa->last_name  = "Girardi Jr.";
$pessoa->car = "true";

print __LINE__ . "<br>";

echo "<pre>";
print_r($pessoa);
echo "</pre>";

echo $saudacao->sayHi($pessoa);

print_r($saudacao->__getLastRequest());

?>
